<!DOCTYPE html>
<html>
  <head>
    <base target="_top">
    <?!= HtmlService.createHtmlOutputFromFile('css').getContent(); ?>
  </head>
  <body>
    <div class="container-fluid">
    
    <div class="row">
        <div class="col-11 py-2">
            <h2>ふぁぼ物件編集</h2>
        </div>
    </div>
    
    <form method="post" action="https://script.google.com/macros/s/***/exec">
      <input type="hidden" name="mode" value="edit" />      
      <div class="col-11 py-2">      
      <!-- 項目名を取得し、表示する -->                
      <? for (var h = 0; h < itemName.length; h++) { ?>
      <div class="form-group">
        <label for="<?= itemName[h] ?>">
          <?= itemName[h] ?>
        </label>
        
        <!-- データを取得し、表示する -->
        <!-- 編集不可 -->
        <? if (h == 1 || h == 2 || h == 9 || h == 10) { ?>
          <input type="text" name="d_item<?= h ?>" value="<?= res[h] ?>" id="<?= itemName[h] ?>" readonly class="form-control-plaintext"/>

        <!-- 長文用テキストエリア -->
        <? } else if (h >= 20) { ?>
          <textarea name="d_item<?= h ?>" id="<?= itemName[h] ?>" rows="3" class="form-control"><?= res[h] ?></textarea>
            
        <!-- 通常のテキストフォーム -->
        <? } else { ?>
          <input type="text" name="d_item<?= h ?>" value="<?= res[h] ?>" id="<?= itemName[h] ?>" class="form-control col-lg-6"/>
           
        <? } ?>        
      </div>
      <? } ?> 
      <button type="submit" class="btn btn-warning mt-2 shadow-sm">更新</button>
      </div>    
    
    <div class="col-11 py-3">
      <a href='https://script.google.com/macros/s/***/exec?mode=index' class="text-warning mt-2">一覧ページへ</a>
    </div>
    </form>
    
    </div>
    <?!= HtmlService.createHtmlOutputFromFile('js').getContent(); ?>
  </body>
</html>
